Thread Rating:
  • 0 Vote(s) - 0 Average
  • 1
  • 2
  • 3
  • 4
  • 5
Actualización 3.2 a 4.0
#11
SIII!! ya funciona. pero hay una pega Sad

Tengo la consola y los agentes en la versión 4.0 a diferencia del server que lo tengo en la 3.2 porque me sigue dando el dicho error de dependecia de perl-SNMP (que con cpan no se soluciona), pero parece que son perfectamente compatibles entre versiones y por ahora no surge ningún problema. De todas formas te queria agradecer tu tiempo y solo decir que en cuanto sepas algo de perl-SNMP me lo hagas saber para poner todo en la misma versión.

Lo siguiente lo acabo de editar despues de hacer pruebas con la 4.0.

Me imagino que los errores que pongo en los pantallazos son debido a que no tengo la version 4.0 de pandora_server no? e intentado forzar la instalación (rpm -U --nodeps pandorafms_server-4.0-1.centos5.noarch.rpm) pero cuando intento iniciar el server me sale lo siguiente:

Code:
[[email protected] init.d]# ./pandora_server start
Can't locate SNMP.pm in @INC (@INC contains: /usr/lib/perl5/5.8.8 /usr/lib/perl5 /usr/lib64/perl5/site_perl/5.8.8/x86_64-linux-thread-multi /usr/lib/perl5/site_perl/5.8.8 /usr/lib/perl5/site_perl /usr/lib64/perl5/vendor_perl/5.8.8/x86_64-linux-thread-multi /usr/lib/perl5/vendor_perl/5.8.8 /usr/lib/perl5/vendor_perl /usr/lib64/perl5/5.8.8/x86_64-linux-thread-multi .) at /usr/lib/perl5/PandoraFMS/NetworkServer.pm line 30.
BEGIN failed--compilation aborted at /usr/lib/perl5/PandoraFMS/NetworkServer.pm line 30.
Compilation failed in require at /usr/bin/pandora_server line 33.
BEGIN failed--compilation aborted at /usr/bin/pandora_server line 33.
Cannot start Pandora FMS Server. Aborted.
Check Pandora FMS log files at '/var/log/pandora/pandora_server.error & pandora_server.log'
[[email protected] init.d]#

Ai que me imagino que hasta que no se solucione lo de Perl-SNMP no se puede solucionar ¿verdad?

Un Saludo


Attached Files


.jpg   sql error.JPG (Size: 220.91 KB / Downloads: 121)
.jpg   sql error2.JPG (Size: 83.95 KB / Downloads: 108)
 Reply
#12
Alguna solución para resolver el problema que pongo en la consola??, hay alguien que no haya tenido problemas a la hora de actualizar pandora a la 4.0?? Por que en ese caso, ¿Como ha conseguido solucionar lo de perl-SNMP?

Un Saludo
 Reply
#13
Vale resulta que para RHEL5, CentOS5, etc, el paquete que contiene SNMP.pm no es perl-SNMP sino net-snmp-perl.

Comprueba si instalando esa dependencia se corrige el error.

Será conveniente identificar esto en la documentación y el spec del instalador para evitar futuros errores.

Gracias y un saludo. Wink
 Reply
#14
Y si ya lo has instalado y la ejecución del servidor de Pandora sigue fallando, comprueba donde está ubicado el SNMP.pm y si existe comprueba que está en una de estas carpetas:

/usr/lib/perl5/5.8.8 /usr/lib/perl5 /usr/lib64/perl5/site_perl/5.8.8/x86_64-linux-thread-multi /usr/lib/perl5/site_perl/5.8.8 /usr/lib/perl5/site_perl /usr/lib64/perl5/vendor_perl/5.8.8/x86_64-linux-thread-multi /usr/lib/perl5/vendor_perl/5.8.8 /usr/lib/perl5/vendor_perl /usr/lib64/perl5/5.8.8/x86_64-linux-thread-multi

De lo contrario asegúrate de que esa librería y los demás archivos que vienen en esa dependencia estén incluidos ahí.
 Reply
#15
Parece que con ese paquete el problema se ha solucionado pero sigo teniendo errores dentro de la consola igual que antes con los pantallazos que puse en el que salia que habia errores de SQL, como aun estoy con pruebas y no tengo nada importante he borrado todo y he vuelto a empezar a instalarlo de nuevo y lo que me sale ahora son unas dependencias que no salian antes y que estoy intentando solucionar. Lo que me extraña es, por ejemplo la de php-zip que yum no la encuentra y no consiguo obtenerla, lo mismo que las demás y lo que me extraña es la última "php oracle extension", ¿Para que se necesita?, no vale con mysql?? y si se necesita donde la consiguo?? porque esa si que no esta en el repositorio de RedHat.

Un Saludo


Attached Files


.jpg   instalacion 4.0.JPG (Size: 39.93 KB / Downloads: 118)
 Reply
#16
Parece que con la instalación de inicio y borrando la antigua base de datos de pandora ya no aparece ningún tipo de error.

Lo único que a lo mejor me da problemas algun dia es el PHP-zip extension. ¿Es muy importante?

Bueno gracias por tu ayuda y tu dedicación.

Un Saludo.
 Reply
#17
No a ver lo de la extensión de base de datos te pide que tengas una de las tres, no las tres.

Además es conveniente usar mysql... el soporte para Oracle y Postgre es experimental por ahora.

Sobre php-zip, si no aparece en ninguno de los repositorios habrá que buscar el rpm en la web e instalarlo.

Saludos.
 Reply


Users browsing this thread: 1 Guest(s)


(c) 2006-2018 Artica Soluciones Tecnológicas. Contents of this wiki are under Create Common Attribution v3 licence. | pandorafms.com | pandorafms.org

Theme © MyBB Themes